Bug 108052 - HP OmniBook XE3 fails to shutdown with recent kernels
HP OmniBook XE3 fails to shutdown with recent kernels
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-10-26 23:22 EST by Rodd Clarkson
Modified: 2015-01-04 17:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-08 00:28:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rodd Clarkson 2003-10-26 23:22:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031023

Description of problem:
After installing FC-0.95 recent kernels are no longer shuting down my HP
OmniBook XE3 laptop.  The kernel that came with 0.95 functioned as expected and
I'm pretty sure that one or two kernels after that did, but more recent kernels
have failed.

The shutdown process goes well until the it prints 'shutdown' which it fails to
do leaving the laptop hung.  To actually shutdown the system you need to hold
the powerbutton for about 5 seconds to do a hard poweroff.

I've got FC-0.95 installed on a desktop system at work and sutdown still works
there.  Both systems are currently up-to-date with all the changes in rawhide.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start the laptop.
2. Click shutdown and then YES.

Additional info:
Comment 1 Rodd Clarkson 2003-10-26 23:35:50 EST
Here's more information:

After selecting shutdown (either from Actions > Logout) or from the GDM login,
the system goes throught the motions and even 'blanks' the screen, however the
computer is still on.

If you press a key (say ALT) the screen displays:

Fedora Core release 0.95 (Severn)
Kernel 2.4.22-1.2108.nptl on an i686

localhost login: cs: cb_free (bus 3)
unloading Kernel Card Services
md: recovery thread got woken up ...
flushing ide devices: hda hdc
Power Down

After this you have to manually power down the machine.  Rebooting isn't
affected, and starting the machine doesn't seem any different from the normal
start after powerdown.
Comment 2 Dave Jones 2004-12-08 00:28:03 EST
fc1 - eol

Note You need to log in before you can comment on or make changes to this bug.